#ifndef SRC_PAGES_FRM06_H
#define SRC_PAGES_FRM06_H

#include "../HmiApp.h"
#include "widgets/Widgets.h"
#include "type/Types.h"
#include "misc/misc.h"
#include "op/DataSample.h"
#include "op/EventMgr.h"
#include "op/RCP.h"
#include "op/OpLog.h"
#include "util/DateUtil.h"
#include "util/StringUtil.h"

using namespace std;
using namespace stt;
using namespace stt::op;
using namespace stt::db;
using namespace stt::misc;
using namespace stt::data;
using namespace stt::util;
using namespace stt::constant;

/********************************
 *
 *  页面类
 *
 *  注意：用户可在指定位置添加修改内容
 *

 ********************************/
class HmiApp;

class Frm06: public STTPage {
public:
	STTPanel *wMPanel5;
	STTButton *wMButton12;
	void wMButton12_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton13;
	void wMButton13_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton14;
	void wMButton14_clk_cb(uint16_t code, LvEvent e);

	STTLabel *wMLabel2;
	STTLabel *wMLabel3;
	STTTextArea *wMTextNumber3;
	STTTextArea *wMTextNumber4;
	STTTable *wMTable2;
	STTButton *wMButton15;
	void wMButton15_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton16;
	void wMButton16_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton17;
	void wMButton17_clk_cb(uint16_t code, LvEvent e);

	STTButton *wMButton18;
	void wMButton18_clk_cb(uint16_t code, LvEvent e);

public:
	Frm06(HmiApp *app, STTWidget *par, const string &id, const string &desc = "");
	virtual ~Frm06();
	void onInit();
	void createParts();
	void onLoad();
	bool onClosing();
	void onDispose();
	/*CUSTOM_CODE_BEGIN*/
	/**
	 * mode: 0-查询全部 1-带起始日期 2-带终止日期 3-范围
	 */
	void refineSample(STTTable *widget, int mode = 0, const string &startDate = "", const string &endDate = "");
	/*CUSTOM_CODE_END*/

protected:
	HmiApp *hmiApp;
};

#endif
